Standalone backup agents for Linux, Mac, AIX & Solaris workloads on-premises or in the public cloud
Post Reply
cibomato
Novice
Posts: 8
Liked: never
Joined: Dec 08, 2013 1:05 pm
Full Name: Jochen Rupp
Contact:

can't find prerequisite: kernel-devel on ubuntu

Post by cibomato »

Hi,

while checking all the rerequisites for installing Veeam-Linux-Agent on Ubuntu-Server 16.04 I'm not able to find the package called kernel-devel!?

Code: Select all

# uname -r
4.4.0-62-generic
No results for:

Code: Select all

# aptitude search kernel-devel
# aptitude search kernel-default
# aptitude search kernel-default-devel
# aptitude search linux-devel
# aptitude search linux-kernel-devel
# aptitude search kernel-devel
What do I have to search for / install?

Thanks and best regards,
Jochen

PTide
Product Manager
Posts: 6223
Liked: 680 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: can't find prerequisite: kernel-devel on ubuntu

Post by PTide » 1 person likes this post

Hi,

Do you have linux-headers installed? If not then please try to run the following:

Code: Select all

apt-get install linux-headers-$(uname -r)
and try to install Veeam Agent again.

The documentation will be updated shortly.

Thank you.

cibomato
Novice
Posts: 8
Liked: never
Joined: Dec 08, 2013 1:05 pm
Full Name: Jochen Rupp
Contact:

Re: can't find prerequisite: kernel-devel on ubuntu

Post by cibomato »

Yes, these are installed. Didn't try to install Veeam because I thought I'd have to get all teh prerequisites first.
So, you think, the headers are sufficient? I'll give it a try ;-)

Thank you!

cibomato
Novice
Posts: 8
Liked: never
Joined: Dec 08, 2013 1:05 pm
Full Name: Jochen Rupp
Contact:

Re: can't find prerequisite: kernel-devel on ubuntu

Post by cibomato »

It worked! Thank you!

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests